# Generated by Django 5.0.6 on 2024-05-22 07:57

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('machines', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Machine',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True)),
                ('description', models.TextField(blank=True)),
                ('active', models.BooleanField(default=False)),
                ('category', models.ForeignKey(default='Others', null=True, on_delete=django.db.models.deletion.SET_NULL, to='machines.category', to_field='name')),
            ],
        ),
    ]
